apiVersion: apps/v1
kind: StatefulSet
metadata:
  name: pvc
spec:
  replicas: 2
  selector:
    matchLabels:
      app: echo-server-pvc
  template:
    metadata:
      labels:
        app: echo-server-pvc
    spec:
      containers:
      - name: echo-server-pvc
        image: ealen/echo-server:latest
        ports:
        - containerPort: 80
          name: http
        volumeMounts:
        - name: demo-pvc
          mountPath: /demo
      volumes:
        - name: demo-pvc
          persistentVolumeClaim:
            claimName: pvc-bootcamp